import Mock, {
  Random
} from 'mockjs'

import API_PATH from 'Src/common/apiPath'

const proxy = {
  'GET:/bidding/sso/getLoginUserInfo.json': function (req, res) {
    let data = Mock.mock({
      'code': 0,
      'errmsg': null,
      'data': {
        'userName': 'admin',
        'uid': 1,
        'power': {
          'siteId': '911',
          'functionId': '0',
          'functonValue': null,
          'functonName': null,
          'conditions': null,
          'havePowerd': true,
          'childrens': [{
            'siteId': '911',
            'functionId': '37DB231BE62873BBE01949DF7379CA3E',
            'functonValue': 'com.jcgroup.bidding.admin.gateway.gateway.web.controller.workflow.FileSealsController',
            'functonName': '印章信息管理',
            'conditions': null,
            'havePowerd': true,
            'childrens': [{
              'siteId': '911',
              'functionId': '7EA96BD5B42C9C82AF274D729AC1DA16',
              'functonValue': 'com.jcgroup.bidding.admin.gateway.gateway.web.controller.workflow.FileSealsController.delete',
              'functonName': '印章信息删除',
              'conditions': null,
              'havePowerd': true,
              'childrens': null,
              'all': true
            }],
            'all': true
          }, {
            'siteId': '911',
            'functionId': '406602E04189D39774569F27FBE91E1D',
            'functonValue': 'com.jcgroup.bidding.admin.gateway.gateway.web.controller.notice.NoticeManagerController',
            'functonName': '公告管理',
            'conditions': null,
            'havePowerd': true,
            'childrens': [{
              'siteId': '911',
              'functionId': '5789321E58D269B887D970858F6FA859',
              'functonValue': 'com.jcgroup.bidding.admin.gateway.gateway.web.controller.notice.NoticeManagerController.queryList',
              'functonName': '公告查询列表',
              'conditions': null,
              'havePowerd': true,
              'childrens': null,
              'all': true
            }, {
              'siteId': '911',
              'functionId': '67F7FD001D9D6B8E8E148224C72CAE23',
              'functonValue': 'com.jcgroup.bidding.admin.gateway.gateway.web.controller.notice.NoticeManagerController.changeDisplay',
              'functonName': '单个公告更改显示状态',
              'conditions': null,
              'havePowerd': true,
              'childrens': null,
              'all': true
            }, {
              'siteId': '911',
              'functionId': '97D2848F59C64F524549E69A7EC1CF7B',
              'functonValue': 'com.jcgroup.bidding.admin.gateway.gateway.web.controller.notice.NoticeManagerController.querySignUpList',
              'functonName': '报名信息查询列表',
              'conditions': null,
              'havePowerd': true,
              'childrens': null,
              'all': true
            }, {
              'siteId': '911',
              'functionId': 'A16EA91B471D4A5A7A15F45AB4A49B14',
              'functonValue': 'com.jcgroup.bidding.admin.gateway.gateway.web.controller.notice.NoticeManagerController.addNotice',
              'functonName': '单个公告新增',
              'conditions': null,
              'havePowerd': true,
              'childrens': null,
              'all': true
            }, {
              'siteId': '911',
              'functionId': 'A29D781B8100BF40D0E249DAD814ED76',
              'functonValue': 'com.jcgroup.bidding.admin.gateway.gateway.web.controller.notice.NoticeManagerController.approve',
              'functonName': '报名信息单个审批',
              'conditions': null,
              'havePowerd': true,
              'childrens': null,
              'all': true
            }, {
              'siteId': '911',
              'functionId': 'C464E675CFC174BD481B11DDBF4B70CA',
              'functonValue': 'com.jcgroup.bidding.admin.gateway.gateway.web.controller.notice.NoticeManagerController.noticeDetail',
              'functonName': '查看单个公告详情',
              'conditions': null,
              'havePowerd': true,
              'childrens': null,
              'all': true
            }, {
              'siteId': '911',
              'functionId': 'D0B11D3D5A96A1FFCDB337ADA37E05BB',
              'functonValue': 'com.jcgroup.bidding.admin.gateway.gateway.web.controller.notice.NoticeManagerController.isTop',
              'functonName': '单个公告置顶',
              'conditions': null,
              'havePowerd': true,
              'childrens': null,
              'all': true
            }, {
              'siteId': '911',
              'functionId': 'E11B79BB915408CE3227EAF8CC185B9D',
              'functonValue': 'com.jcgroup.bidding.admin.gateway.gateway.web.controller.notice.NoticeManagerController.cancelTop',
              'functonName': '单个公告取消置顶',
              'conditions': null,
              'havePowerd': true,
              'childrens': null,
              'all': true
            }, {
              'siteId': '911',
              'functionId': 'E338CEE10B5BD23066CF706B63C64A01',
              'functonValue': 'com.jcgroup.bidding.admin.gateway.gateway.web.controller.notice.NoticeManagerController.updateNotice',
              'functonName': '单个公告编辑',
              'conditions': null,
              'havePowerd': true,
              'childrens': null,
              'all': true
            }, {
              'siteId': '911',
              'functionId': 'F177F39EFCA858AA3758B732A74350D4',
              'functonValue': 'com.jcgroup.bidding.admin.gateway.gateway.web.controller.notice.NoticeManagerController.deleteNotice',
              'functonName': '单个公告删除',
              'conditions': null,
              'havePowerd': true,
              'childrens': null,
              'all': true
            }],
            'all': true
          }, {
            'siteId': '911',
            'functionId': 'C676FA0FA3092A9BF6C90DD6132C0B4A',
            'functonValue': 'com.jcgroup.bidding.admin.gateway.gateway.web.controller.workflow.FileReviewManagerController',
            'functonName': '流程管理',
            'conditions': null,
            'havePowerd': true,
            'childrens': [{
              'siteId': '911',
              'functionId': '0AC9815889F732C4BA6B1DA9D2E90415',
              'functonValue': 'com.jcgroup.bidding.admin.gateway.gateway.web.controller.workflow.FileReviewManagerController.getProjectListAll',
              'functonName': '获取ecm全量小镇',
              'conditions': null,
              'havePowerd': true,
              'childrens': null,
              'all': true
            }, {
              'siteId': '911',
              'functionId': '1A787AFDF228A94798635DCE4399612B',
              'functonValue': 'com.jcgroup.bidding.admin.gateway.gateway.web.controller.workflow.FileReviewManagerController.createBidfileReviewWF',
              'functonName': '到OA创建招标文件评审流程',
              'conditions': null,
              'havePowerd': true,
              'childrens': null,
              'all': true
            }, {
              'siteId': '911',
              'functionId': '25F68E1E2E251140D0E5609800927FC4',
              'functonValue': 'com.jcgroup.bidding.admin.gateway.gateway.web.controller.workflow.FileReviewManagerController.bidInfoList',
              'functonName': '查询招标文件信息列表',
              'conditions': null,
              'havePowerd': true,
              'childrens': null,
              'all': true
            }, {
              'siteId': '911',
              'functionId': '378F0D9901FDD39B17449C84F82B7D42',
              'functonValue': 'com.jcgroup.bidding.admin.gateway.gateway.web.controller.workflow.FileReviewManagerController.bidInfoView',
              'functonName': '查看单个招标文件信息',
              'conditions': null,
              'havePowerd': true,
              'childrens': null,
              'all': true
            }, {
              'siteId': '911',
              'functionId': '5FEABB9FAD7B90627989CB6780D022F2',
              'functonValue': 'com.jcgroup.bidding.admin.gateway.gateway.web.controller.workflow.FileReviewManagerController.bidInfoDelete',
              'functonName': '删除招标文件信息',
              'conditions': null,
              'havePowerd': true,
              'childrens': null,
              'all': true
            }, {
              'siteId': '911',
              'functionId': 'B9B757DFD8139AEE5989D82A3244E350',
              'functonValue': 'com.jcgroup.bidding.admin.gateway.gateway.web.controller.workflow.FileReviewManagerController.bidInfoAdd',
              'functonName': '新增招标文件信息',
              'conditions': null,
              'havePowerd': true,
              'childrens': null,
              'all': true
            }, {
              'siteId': '911',
              'functionId': 'DA83B3FEC1FF75D88AF92F253AC3E000',
              'functonValue': 'com.jcgroup.bidding.admin.gateway.gateway.web.controller.workflow.FileReviewManagerController.downloadFiles',
              'functonName': '下载已盖章招标文件',
              'conditions': null,
              'havePowerd': true,
              'childrens': null,
              'all': true
            }, {
              'siteId': '911',
              'functionId': 'E339F276B33D285B44D70F3284AE1892',
              'functonValue': 'com.jcgroup.bidding.admin.gateway.gateway.web.controller.workflow.FileReviewManagerController.buildCompanyDetailListByProCode',
              'functonName': '获取ecm小镇下的合营公司',
              'conditions': null,
              'havePowerd': true,
              'childrens': null,
              'all': true
            }, {
              'siteId': '911',
              'functionId': 'E5796CA33C4E6CA92727432C2607C11D',
              'functonValue': 'com.jcgroup.bidding.admin.gateway.gateway.web.controller.workflow.FileReviewManagerController.receiveOaResult',
              'functonName': 'receiveOaResult',
              'conditions': null,
              'havePowerd': true,
              'childrens': null,
              'all': true
            }, {
              'siteId': '911',
              'functionId': 'F12214AC1A5DE9C21E011305D23CD55E',
              'functonValue': 'com.jcgroup.bidding.admin.gateway.gateway.web.controller.workflow.FileReviewManagerController.bidInfoEdit',
              'functonName': '编辑招标文件信息',
              'conditions': null,
              'havePowerd': true,
              'childrens': null,
              'all': true
            }],
            'all': true
          }, {
            'siteId': '911',
            'functionId': 'C6DE2769100D3EC1B6EE29EA134A731F',
            'functonValue': 'com.jcgroup.bidding.admin.gateway.gateway.web.controller.FilesController',
            'functonName': '附件管理',
            'conditions': null,
            'havePowerd': true,
            'childrens': [{
              'siteId': '911',
              'functionId': '02E1E88224327798F90CBF99A205D83E',
              'functonValue': 'com.jcgroup.bidding.admin.gateway.gateway.web.controller.FilesController.list',
              'functonName': '查询招标公告附件',
              'conditions': null,
              'havePowerd': true,
              'childrens': null,
              'all': true
            }, {
              'siteId': '911',
              'functionId': '24CF123AF09EFEE2C2494F0B05F1CF44',
              'functonValue': 'com.jcgroup.bidding.admin.gateway.gateway.web.controller.FilesController.upload',
              'functonName': '附件上传',
              'conditions': null,
              'havePowerd': true,
              'childrens': null,
              'all': true
            }, {
              'siteId': '911',
              'functionId': '6F3BC4BD642F7442073E3DFFEB164CC4',
              'functonValue': 'com.jcgroup.bidding.admin.gateway.gateway.web.controller.FilesController.download',
              'functonName': '附件下载',
              'conditions': null,
              'havePowerd': true,
              'childrens': null,
              'all': true
            }, {
              'siteId': '911',
              'functionId': 'CFA47734AEDA847DA0F5099F296A30B3',
              'functonValue': 'com.jcgroup.bidding.admin.gateway.gateway.web.controller.FilesController.edit',
              'functonName': '附件信息编辑',
              'conditions': null,
              'havePowerd': true,
              'childrens': null,
              'all': true
            }, {
              'siteId': '911',
              'functionId': 'FA7F06DE98E59A1F6551BD5A91AD9CB4',
              'functonValue': 'com.jcgroup.bidding.admin.gateway.gateway.web.controller.FilesController.delete',
              'functonName': '附件信息删除',
              'conditions': null,
              'havePowerd': true,
              'childrens': null,
              'all': true
            }],
            'all': true
          }],
          'all': true
        },
        'loginTime': null,
        'roles': [{
          'roleId': 1,
          'roleName': '管理员'
        }, {
          'roleId': 2,
          'roleName': '办公人员'
        }],
        'siteMD5': '8DF8DE26CF35F33C06CA44B9E02BEEED'
      }
    })
    return [200, data]
  }
}

export default proxy
